# Generated by go2rpm
# Needs to run with make which needs network access
%bcond_with check

%global golang_arches x86_64 aarch64 ppc64le s390x

# https://github.com/cockroachdb/cockroach
%global goipath         github.com/cockroachdb/cockroach
Version:                20.2.3

%gometa

# Needs github.com/jaegertracing/jaeger/model/json
%global goipathsex github.com/cockroachdb/cockroach/pkg/util/tracing

%global common_description %{expand:
CockroachDB is a distributed SQL database built on a transactional and
strongly-consistent key-value store. It scales horizontally; survives disk,
machine, rack, and even datacenter failures with minimal latency disruption and
no manual intervention; supports strongly-consistent ACID transactions; and
provides a familiar SQL API for structuring, manipulating, and querying data.}

%global golicenses      LICENSE
%global godocs          docs CONTRIBUTING.md README.md

Name:           %{goname}
Release:        2%{?dist}
Summary:        Open source, cloud-native SQL database

# Upstream license specification: Apache-2.0 and BSD-2-Clause and BSD-3-Clause
License:        ASL 2.0 and MIT and BSD
Source0:        %{gosource}

BuildRequires:  golang(cloud.google.com/go/storage)
BuildRequires:  golang(github.com/abourget/teamcity)
BuildRequires:  golang(github.com/andy-kimball/arenaskl)
BuildRequires:  golang(github.com/apache/arrow/go/arrow)
BuildRequires:  golang(github.com/apache/arrow/go/arrow/array)
BuildRequires:  golang(github.com/apache/arrow/go/arrow/memory)
BuildRequires:  golang(github.com/armon/circbuf)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/awserr)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/kms)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/s3)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/s3/s3manager)
BuildRequires:  golang(github.com/axiomhq/hyperloglog)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/profiles/latest/compute/mgmt/compute)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/profiles/latest/network/mgmt/network)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/profiles/latest/resources/mgmt/resources)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/profiles/latest/resources/mgmt/subscriptions)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/compute/mgmt/2019-07-01/compute)
BuildRequires:  golang(github.com/Azure/azure-storage-blob-go/azblob)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/azure/auth)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/to)
BuildRequires:  golang(github.com/benesch/cgosymbolizer)
BuildRequires:  golang(github.com/biogo/store/llrb)
BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(github.com/cenkalti/backoff)
BuildRequires:  golang(github.com/cockroachdb/apd/v2)
BuildRequires:  golang(github.com/cockroachdb/circuitbreaker)
BuildRequires:  golang(github.com/cockroachdb/cmux)
BuildRequires:  golang(github.com/cockroachdb/datadriven)
BuildRequires:  golang(github.com/cockroachdb/errors)
BuildRequires:  golang(github.com/cockroachdb/errors/errorspb)
BuildRequires:  golang(github.com/cockroachdb/errors/hintdetail)
BuildRequires:  golang(github.com/cockroachdb/gostdlib/x/tools/imports)
BuildRequires:  golang(github.com/cockroachdb/logtags)
BuildRequires:  golang(github.com/cockroachdb/pebble)
BuildRequires:  golang(github.com/cockroachdb/pebble/bloom)
BuildRequires:  golang(github.com/cockroachdb/pebble/sstable)
BuildRequires:  golang(github.com/cockroachdb/pebble/tool)
BuildRequires:  golang(github.com/cockroachdb/pebble/vfs)
BuildRequires:  golang(github.com/cockroachdb/redact)
BuildRequires:  golang(github.com/cockroachdb/returncheck)
BuildRequires:  golang(github.com/cockroachdb/sentry-go)
BuildRequires:  golang(github.com/cockroachdb/ttycolor)
BuildRequires:  golang(github.com/codahale/hdrhistogram)
BuildRequires:  golang(github.com/coreos/go-oidc/oidc)
BuildRequires:  golang(github.com/dave/dst)
BuildRequires:  golang(github.com/dave/dst/decorator)
BuildRequires:  golang(github.com/dave/dst/dstutil)
BuildRequires:  golang(github.com/docker/distribution/reference)
BuildRequires:  golang(github.com/docker/docker/api/types)
BuildRequires:  golang(github.com/docker/docker/api/types/container)
BuildRequires:  golang(github.com/docker/docker/api/types/events)
BuildRequires:  golang(github.com/docker/docker/api/types/filters)
BuildRequires:  golang(github.com/docker/docker/api/types/network)
BuildRequires:  golang(github.com/docker/docker/client)
BuildRequires:  golang(github.com/docker/docker/pkg/jsonmessage)
BuildRequires:  golang(github.com/docker/docker/pkg/stdcopy)
BuildRequires:  golang(github.com/docker/go-connections/nat)
BuildRequires:  golang(github.com/dustin/go-humanize)
BuildRequires:  golang(github.com/edsrzf/mmap-go)
BuildRequires:  golang(github.com/elastic/gosigar)
BuildRequires:  golang(github.com/elazarl/go-bindata-assetfs)
BuildRequires:  golang(github.com/facebookgo/clock)
BuildRequires:  golang(github.com/ghemawat/stream)
BuildRequires:  golang(github.com/go-sql-driver/mysql)
BuildRequires:  golang(github.com/gogo/protobuf/jsonpb)
BuildRequires:  golang(github.com/gogo/protobuf/proto)
BuildRequires:  golang(github.com/gogo/protobuf/protoc-gen-gogo/descriptor)
BuildRequires:  golang(github.com/gogo/protobuf/sortkeys)
BuildRequires:  golang(github.com/gogo/protobuf/types)
BuildRequires:  golang(github.com/gogo/protobuf/vanity)
BuildRequires:  golang(github.com/gogo/protobuf/vanity/command)
BuildRequires:  golang(github.com/golang-commonmark/markdown)
BuildRequires:  golang(github.com/golang/geo/r1)
BuildRequires:  golang(github.com/golang/geo/r3)
BuildRequires:  golang(github.com/golang/geo/s1)
BuildRequires:  golang(github.com/golang/geo/s2)
BuildRequires:  golang(github.com/golang/protobuf/descriptor)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/snappy)
BuildRequires:  golang(github.com/google/btree)
BuildRequires:  golang(github.com/google/flatbuffers/go)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(github.com/google/go-github/github)
BuildRequires:  golang(github.com/google/pprof/driver)
BuildRequires:  golang(github.com/google/pprof/profile)
BuildRequires:  golang(github.com/gorhill/cronexpr)
BuildRequires:  golang(github.com/grpc-ecosystem/grpc-gateway/runtime)
BuildRequires:  golang(github.com/grpc-ecosystem/grpc-gateway/utilities)
BuildRequires:  golang(github.com/grpc-ecosystem/grpc-opentracing/go/otgrpc)
BuildRequires:  golang(github.com/jackc/pgproto3/v2)
BuildRequires:  golang(github.com/jackc/pgx-3)
BuildRequires:  golang(github.com/jackc/pgx-3/pgtype)
# BuildRequires:  golang(github.com/jaegertracing/jaeger/model/json)
BuildRequires:  golang(github.com/kisielk/gotool)
BuildRequires:  golang(github.com/knz/go-libedit)
BuildRequires:  golang(github.com/knz/strtime)
BuildRequires:  golang(github.com/kr/pretty)
BuildRequires:  golang(github.com/kr/text)
BuildRequires:  golang(github.com/lib/pq)
BuildRequires:  golang(github.com/lib/pq/auth/kerberos)
BuildRequires:  golang(github.com/lib/pq/oid)
BuildRequires:  golang(github.com/lightstep/lightstep-tracer-go)
BuildRequires:  golang(github.com/linkedin/goavro/v2)
BuildRequires:  golang(github.com/maruel/panicparse/stack)
BuildRequires:  golang(github.com/marusama/semaphore)
BuildRequires:  golang(github.com/mattn/go-isatty)
BuildRequires:  golang(github.com/MichaelTJones/walk)
BuildRequires:  golang(github.com/mitchellh/reflectwalk)
BuildRequires:  golang(github.com/montanaflynn/stats)
BuildRequires:  golang(github.com/nlopes/slack)
BuildRequires:  golang(github.com/olekukonko/tablewriter)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/log)
BuildRequires:  golang(github.com/openzipkin-contrib/zipkin-go-opentracing)
BuildRequires:  golang(github.com/petermattis/goid)
BuildRequires:  golang(github.com/pierrre/geohash)
BuildRequires:  golang(github.com/pkg/browser)
BuildRequires:  golang(github.com/pmezard/go-difflib/difflib)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/graphite)
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/prometheus/common/expfmt)
BuildRequires:  golang(github.com/PuerkitoBio/goquery)
BuildRequires:  golang(github.com/rcrowley/go-metrics)
BuildRequires:  golang(github.com/rcrowley/go-metrics/exp)
BuildRequires:  golang(github.com/shirou/gopsutil/cpu)
BuildRequires:  golang(github.com/shirou/gopsutil/disk)
BuildRequires:  golang(github.com/shirou/gopsutil/host)
BuildRequires:  golang(github.com/shirou/gopsutil/load)
BuildRequires:  golang(github.com/shirou/gopsutil/mem)
BuildRequires:  golang(github.com/shirou/gopsutil/net)
BuildRequires:  golang(github.com/Shopify/sarama)
BuildRequires:  golang(github.com/Shopify/toxiproxy/client)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/cobra/doc)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/twpayne/go-geom)
BuildRequires:  golang(github.com/twpayne/go-geom/encoding/ewkb)
BuildRequires:  golang(github.com/twpayne/go-geom/encoding/ewkbhex)
BuildRequires:  golang(github.com/twpayne/go-geom/encoding/geojson)
BuildRequires:  golang(github.com/twpayne/go-geom/encoding/kml)
BuildRequires:  golang(github.com/twpayne/go-geom/encoding/wkb)
BuildRequires:  golang(github.com/twpayne/go-geom/encoding/wkbcommon)
BuildRequires:  golang(github.com/twpayne/go-geom/encoding/wkbhex)
BuildRequires:  golang(github.com/twpayne/go-geom/encoding/wkt)
BuildRequires:  golang(github.com/twpayne/go-geom/xy/lineintersector)
BuildRequires:  golang(github.com/VividCortex/ewma)
BuildRequires:  golang(github.com/zabawaba99/go-gitignore)
BuildRequires:  golang(go.etcd.io/etcd/raft)
BuildRequires:  golang(go.etcd.io/etcd/raft/raftpb)
BuildRequires:  golang(go.etcd.io/etcd/raft/tracker)
BuildRequires:  golang(golang.org/x/crypto/bcrypt)
BuildRequires:  golang(golang.org/x/crypto/ocsp)
BuildRequires:  golang(golang.org/x/crypto/pbkdf2)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/crypto/ssh/agent)
BuildRequires:  golang(golang.org/x/crypto/ssh/knownhosts)
BuildRequires:  golang(golang.org/x/crypto/ssh/terminal)
BuildRequires:  golang(golang.org/x/exp/rand)
BuildRequires:  golang(golang.org/x/net/html)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/net/trace)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/google)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/sync/syncmap)
BuildRequires:  golang(golang.org/x/sys/unix)
BuildRequires:  golang(golang.org/x/text/collate)
BuildRequires:  golang(golang.org/x/text/language)
BuildRequires:  golang(golang.org/x/text/unicode/norm)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(golang.org/x/tools/container/intsets)
BuildRequires:  golang(golang.org/x/tools/go/analysis)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/asmdecl)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/assign)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/atomic)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/bools)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/buildtag)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/cgocall)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/composite)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/copylock)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/errorsas)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/httpresponse)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/inspect)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/loopclosure)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/lostcancel)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/nilfunc)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/printf)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/shadow)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/shift)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/stdmethods)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/structtag)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/tests)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/unmarshal)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/unreachable)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/unsafeptr)
BuildRequires:  golang(golang.org/x/tools/go/analysis/passes/unusedresult)
BuildRequires:  golang(golang.org/x/tools/go/analysis/unitchecker)
BuildRequires:  golang(golang.org/x/tools/go/ast/astutil)
BuildRequires:  golang(golang.org/x/tools/go/ast/inspector)
BuildRequires:  golang(golang.org/x/tools/go/packages)
BuildRequires:  golang(golang.org/x/tools/go/types/typeutil)
BuildRequires:  golang(google.golang.org/api/iterator)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/backoff)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/connectivity)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/encoding)
BuildRequires:  golang(google.golang.org/grpc/encoding/proto)
BuildRequires:  golang(google.golang.org/grpc/grpclog)
BuildRequires:  golang(google.golang.org/grpc/keepalive)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/peer)
BuildRequires:  golang(google.golang.org/grpc/stats)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(gopkg.in/yaml.v2)
BuildRequires:  golang(vitess.io/vitess/go/sqltypes)
BuildRequires:  golang(vitess.io/vitess/go/vt/sqlparser)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/jackc/pgx/v4)
BuildRequires:  golang(github.com/leanovate/gopter)
BuildRequires:  golang(github.com/leanovate/gopter/prop)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(go.etcd.io/etcd/raft/confchange)
BuildRequires:  golang(go.etcd.io/etcd/raft/quorum)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|github.com/jackc/pgx|github.com/jackc/pgx-3|' $(find . -iname "*.go" -type f)
sed -i 's|github.com/coreos/go-oidc|github.com/coreos/go-oidc/oidc|' $(find . -iname "*.go" -type f)
rm -rf pkg/sql/rowexec/sample*

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Oct 02 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20.2.3-2
- Update go-oidc dependency

* Sat Jan 30 16:29:29 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 20.2.3-1
- Update to 20.2.3

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Sep 09 18:56:14 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20.1.5-2
- Fix pgx import

* Wed Sep 09 02:51:40 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 20.1.5-1
- Update to 20.1.5

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 19.2.0-7.alpha
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 19.2.0-6.alpha
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 19.2.0-5.alpha
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Jul 02 01:41:53 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 19.2.0-4.alpha
- Fix patch

* Tue Jul 02 01:41:53 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 19.2.0-2.alpha
- Add patch for 32 bits compatibility

* Wed May 15 18:01:51 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 19.2.0-1.alpha
- Initial package
